(* ------------------------------------------------------ *)
(*                      INDEMO.PAS                        *)
(*             Demoprogramm zur Unit INPUT                *)
(*          (c) 1900 Marcel Kreuter & TOOLBOX             *)
(* ------------------------------------------------------ *)
PROGRAM Input_Demo;

USES Crt, Input;

VAR
  Menge      : CharSet;
  TestString : STRING;
  TestZahl   : REAL;
  Code       : INTEGER;

BEGIN
  ClrScr;

  { Demo 1 }
  Write('Sie knnen jetzt 20 beliebige Zeichen zwischen ');
  WriteLn('den beiden Sternchen eingeben:');
  Write('*          *');
  GotoXY(2,2);
  { Alle Zeichen zulassen }
  Menge := ['!'..''];
  TestString := ReadStr(Menge, 20, 10);
  GotoXY(1,3);
  WriteLn('Teststring = ', TestString);
  WriteLn;

  { Demo 2 }
  Write('Sie knnen jetzt 5 Ziffern zwischen ');
  WriteLn('den beiden Sternchen eingeben:');
  Write('*     *');
  GotoXY(2,7);
  { Nur Ziffern und Dezimalpunkt zulassen }
  Menge := ['0'..'9', '.'];
  TestString := ReadStr(Menge, 5, 5);
  GotoXY(1,7);
  Val(TestString, TestZahl, Code);
  WriteLn('Testzahl = ', TestZahl:5:0);
END.
(* ------------------------------------------------------ *)
(*                  Ende von INDEMO.PAS                   *)